FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202101230441.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101230441.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4800f81 OS_GIT_VERSION=4.5.0-202101230441.p0-4800f81 SOURCE_DATE_EPOCH=1603930336 SOURCE_GIT_COMMIT=4800f81259d717eb5898b1cfe7fc96762378876a SOURCE_GIT_TAG=v0.0.0-alpha.0-263-g4800f812 SOURCE_GIT_URL=https://github.com/openshift/cluster-config-operator 
WORKDIR /go/src/github.com/openshift/cluster-config-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-config-operator
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.5.0.20210123.050934
ENV __doozer=update BUILD_RELEASE=202101230441.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101230441.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4800f81 OS_GIT_VERSION=4.5.0-202101230441.p0-4800f81 SOURCE_DATE_EPOCH=1603930336 SOURCE_GIT_COMMIT=4800f81259d717eb5898b1cfe7fc96762378876a SOURCE_GIT_TAG=v0.0.0-alpha.0-263-g4800f812 SOURCE_GIT_URL=https://github.com/openshift/cluster-config-operator 
RUN mkdir -p /usr/share/bootkube/manifests/manifests
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/config/v1/*_config-operator_*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/quota/v1/*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/security/v1/*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/authorization/v1/*.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/operator/v1alpha1/0000_10_config-operator_01_imagecontentsourcepolicy.crd.yaml /usr/share/bootkube/manifests/manifests
COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/cluster-config-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/config/v1/*_config-operator_*.yaml /manifests
COPY vendor/github.com/openshift/api/quota/v1/*.yaml /manifests
COPY vendor/github.com/openshift/api/security/v1/*.yaml /manifests
COPY vendor/github.com/openshift/api/authorization/v1/*.yaml /manifests
COPY vendor/github.com/openshift/api/operator/v1alpha1/0000_10_config-operator_01_imagecontentsourcepolicy.crd.yaml /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_10_config-operator_*.yaml /manifests
COPY empty-resources /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-config-operator" \
        com.redhat.component="ose-cluster-config-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="config-operator" \
        release="202101230441.p0" \
        io.openshift.build.commit.id="4800f81259d717eb5898b1cfe7fc96762378876a" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-config-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-config-operator/commit/4800f81259d717eb5898b1cfe7fc96762378876a" \
        version="v4.5.0"

